CAMU_StereoCameraCalibrationData Struct Reference

Stereo camera calibration data. More...

`#include <cam.h>`

## Data Fields

u8 | isValidRotationXY
| #bool Whether the X and Y rotation data is valid.
u8 | padding [3]
| Padding. (Aligns isValidRotationXY to 4 bytes)
float | scale
| Scale to match the left camera image with the right.
float | rotationZ
| Z axis rotation to match the left camera image with the right.
float | translationX
| X axis translation to match the left camera image with the right.
float | translationY
| Y axis translation to match the left camera image with the right.
float | rotationX
| X axis rotation to match the left camera image with the right.
float | rotationY
| Y axis rotation to match the left camera image with the right.
float | angleOfViewRight
| Right camera angle of view.
float | angleOfViewLeft
| Left camera angle of view.
float | distanceToChart
| Distance between cameras and measurement chart.
float | distanceCameras
| Distance between left and right cameras.
s16 | imageWidth
| Image width.
s16 | imageHeight
| Image height.
u8 | reserved [16]
| Reserved for future use. (unused)

## Detailed Description

Stereo camera calibration data.

The documentation for this struct was generated from the following file:

- include/3ds/services/cam.h